Namespace
pinpointdocker
Image / Tag
pinpoint-hbase:latest
Content Digest
sha256:1c3c0330ad54fc5a98f6b030f0417810d8e0c7bd18aa629877c383b63551015c
Details
Created

2025-11-12 05:22:09 UTC

Size

358 MB

Content Digest
Environment
BASE_DIR

/opt/hbase

HBASE_HOME

/opt/hbase/hbase-2.2.6

HBASE_REPOSITORY

http://apache.mirrors.pair.com/hbase

HBASE_SUB_REPOSITORY

http://archive.apache.org/dist/hbase

JAVA_HOME

/usr/local/openjdk-8

JAVA_VERSION

8u342

LANG

C.UTF-8

PATH

/usr/local/openjdk-8/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:1efc276f4ff952c055dea726cfc96ec6a4fdb8b62d9eed816bd2b788f2860ad7 - 8.36% (29.9 MB)

[#001] sha256:a2f2f93da48276873890ac821b3c991d53a7e864791aaf82c39b7863c908b93b - 0.42% (1.51 MB)

[#002] sha256:1a2de4cc94315f2ba5015e6781672aa8e0b1456a4d488694bb5f016d8f59fa70 - 0.0% (210 Bytes)

[#003] sha256:9013b84ebbe7aec8b587e257266770d2ac6ec3fce4c27415e74fbaf5928b4549 - 28.29% (101 MB)

[#004] sha256:3a5bda6c3b19dc0cd93e2a019fac1ed742c5ef459f9ad6816e4febf69d9a9962 - 0.0% (906 Bytes)

[#005] sha256:11ab98a88f393ce44d590599fd905fd217c15a3ebd5c84ed52f6572f42ea8bd8 - 0.0% (682 Bytes)

[#006] sha256:450172a37a3bef9d9a6e67a0a6c9e746af439b5fb9e3dc79f50db30bd958763a - 0.0% (389 Bytes)

[#007] sha256:3cdc3a4a70f68bbf8dfff73c848d62e8367cac9aca6f8c102c498f19c8a282a1 - 0.0% (258 Bytes)

[#008] sha256:2070dd6cbda734a157b280aa61dee021d99b9c90f5f19861ab316c82e8f23c20 - 4.17% (14.9 MB)

[#009] sha256:866b6490b69c831b7abb4ff076f0db8a9121031cf1ffa7347453475ec564657a - 58.77% (210 MB)

[#010] sha256:5c1007d290431a24f92399597559e61db9615e2d9cade1a8a42da2f9d70549ae - 0.0% (398 Bytes)

[#011] sha256:390347bec95c2e29686601176ea198d8fb99f598abab6efd05e1208dd4b2c625 - 0.0% (2.79 KB)


History
2022-08-02 01:20:04 UTC

/bin/sh -c #(nop) ADD file:0eae0dca665c7044bf242cb1fc92cb8ea744f5af2dd376a558c90bc47349aefe in /

2022-08-02 01:20:05 UTC

/bin/sh -c #(nop) CMD ["bash"]

2022-08-02 05:48:05 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*

2022-08-02 05:54:50 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-8

2022-08-02 05:54:51 UTC

/bin/sh -c { echo '#/bin/sh'; echo 'echo "$JAVA_HOME"'; } > /usr/local/bin/docker-java-home && chmod +x /usr/local/bin/docker-java-home && [ "$JAVA_HOME" = "$(docker-java-home)" ] # backwards compatibility

2022-08-02 05:54:51 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-8/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2022-08-02 05:54:51 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2022-08-02 05:54:51 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=8u342

2022-08-02 05:55:05 UTC

/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u342-b07/OpenJDK8U-jdk_x64_linux_8u342b07.tar.gz'; ;; 'arm64') downloadUrl='https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u342-b07/OpenJDK8U-jdk_aarch64_linux_8u342b07.tar.gz'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends dirmngr gnupg wget ; rm -rf /var/lib/apt/lists/*; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; wget --progress=dot:giga -O openjdk.tgz.asc "$downloadUrl.sign"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys EAC843EBD3EFDB98CC772FADA5CD6035332FA671; gpg --batch --keyserver keyserver.ubuntu.com --keyserver-options no-self-sigs-only --recv-keys CA5F11C6CE22644D42C6AC4492EF8D39DC13168F; gpg --batch --list-sigs --keyid-format 0xLONG CA5F11C6CE22644D42C6AC4492EF8D39DC13168F | tee /dev/stderr | grep '0xA5CD6035332FA671' | grep 'Andrew Haley'; gpg --batch --verify openjdk.tgz.asc openjdk.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME"; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/jre/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; javac -version; java -version

2025-11-12 05:07:29 UTC

/bin/sh -c #(nop) ARG HBASE_VERSION=2.2.6

2025-11-12 05:07:30 UTC

/bin/sh -c #(nop) ENV HBASE_REPOSITORY=http://apache.mirrors.pair.com/hbase

2025-11-12 05:07:31 UTC

/bin/sh -c #(nop) ENV HBASE_SUB_REPOSITORY=http://archive.apache.org/dist/hbase

2025-11-12 05:07:32 UTC

/bin/sh -c #(nop) ENV BASE_DIR=/opt/hbase

2025-11-12 05:07:33 UTC

/bin/sh -c #(nop) ENV HBASE_HOME=/opt/hbase/hbase-2.2.6

2025-11-12 05:07:35 UTC

/bin/sh -c #(nop) COPY file:e8dc81b61b526ec2e0b125ff4bf52dc3b95852269fb0d1a22e4f9adfe4ba64d2 in /opt/hbase/hbase-create.hbase

2025-11-12 05:07:36 UTC

/bin/sh -c #(nop) COPY file:fc37a7cba08ea0e46794887a49a3b3a43a41e0bc030661ff40b84a33c00e04de in /usr/local/bin/configure-hbase.sh

2025-11-12 05:07:37 UTC

/bin/sh -c #(nop) COPY file:719bec1effaf322e98348ad9712b902fa8c9d84aaf54ac6eb058916d2dfc752f in /usr/local/bin/check-table.sh

2025-11-12 05:07:38 UTC

/bin/sh -c #(nop) COPY file:4ed283cac8b1b0ab2be0a2ef599f25f3d23d97401303e00a3677a48368951508 in /usr/local/bin/initialize-hbase.sh

2025-11-12 05:07:41 UTC

|1 HBASE_VERSION=2.2.6 /bin/sh -c apt-get update && apt-get install --no-install-recommends -y curl && apt-get clean && chmod a+x /usr/local/bin/initialize-hbase.sh && chmod a+x /usr/local/bin/check-table.sh && chmod a+x /usr/local/bin/configure-hbase.sh

2025-11-12 05:22:05 UTC

|1 HBASE_VERSION=2.2.6 /bin/sh -c mkdir -p ${BASE_DIR} && curl -fSL "${HBASE_REPOSITORY}/${HBASE_VERSION}/hbase-${HBASE_VERSION}-bin.tar.gz" -o hbase.tar.gz || curl -fSL "${HBASE_SUB_REPOSITORY}/${HBASE_VERSION}/hbase-${HBASE_VERSION}-bin.tar.gz" -o ${BASE_DIR}/hbase.tar.gz && tar xfvz ${BASE_DIR}/hbase.tar.gz -C ${BASE_DIR} && rm ${BASE_DIR}/hbase.tar.gz

2025-11-12 05:22:07 UTC

/bin/sh -c #(nop) COPY file:f2fa9ef80a02b45a57289a333c439b362ce55387316be5c2bfc4ee04571b2116 in /opt/hbase/hbase-2.2.6/conf/hbase-site.xml

2025-11-12 05:22:08 UTC

/bin/sh -c #(nop) COPY file:57bfccb48c2cee03925eac1c0c596e19a8a33d3f8b018bc91440570a80c7ae92 in /opt/hbase/hbase-2.2.6/conf/hbase-env.sh

2025-11-12 05:22:08 UTC

/bin/sh -c #(nop) VOLUME [/home/pinpoint/hbase /home/pinpoint/zookeeper]

2025-11-12 05:22:09 UTC

/bin/sh -c #(nop) CMD ["/bin/sh" "-c" "/usr/local/bin/initialize-hbase.sh && tail -f /dev/null"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete